Loading...
Searching...
No Matches
path Struct Reference

`#include <path.h>`

Collaboration diagram for path:
[legend]

## Data Fields

struct vertex * | vertices
int | count
int | alloc
int | start

## Detailed Description

Definition at line 15 of file path.h.

## Field Documentation

## alloc

int path::alloc

Definition at line 18 of file path.h.

Referenced by path_alloc(), path_append(), path_free(), path_init(), and png_draw_line().

## count

int path::count

Definition at line 17 of file path.h.

Referenced by html_polygon(), path_append(), path_begin(), path_free(), path_init(), path_move(), path_reset(), path_stroke(), png_draw_line(), and png_polygon().

## start

int path::start

Definition at line 19 of file path.h.

Referenced by path_begin(), path_close(), path_free(), path_init(), path_move(), path_reset(), and png_draw_line().

## vertices

struct vertex* path::vertices

Definition at line 16 of file path.h.

Referenced by html_polygon(), path_alloc(), path_append(), path_close(), path_free(), path_init(), path_stroke(), png_draw_line(), and png_polygon().

The documentation for this struct was generated from the following file:

- path.h